/*
 * Copyright 2014 Mihai Niculescu <q.quark@gmail.com>
 *
 * This file is part of EqualX Project (https://launchpad.net/equalx/)
 *
 * EqualX is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EqualX is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef BOOKMARKSVIEW_H
#define BOOKMARKSVIEW_H

#include <QTreeView>
#include "Library/LibraryData.h"

class BookmarkItem;
class BookmarksItemModel;

class BookmarksView : public QTreeView
{
    Q_OBJECT
public:
    explicit BookmarksView(QWidget *parent = 0);

    void setModel(BookmarksItemModel *model);
 protected:
    virtual void contextMenuEvent(QContextMenuEvent *ev);

    BookmarkItem* currentItem();
    /*
    void addPiece(const LibraryModelData &rowData);

     void dragEnterEvent(QDragEnterEvent *event);
     void dragMoveEvent(QDragMoveEvent *event);
     void dropEvent(QDropEvent *event);
     void startDrag(Qt::DropActions supportedActions);
    */
private:
     BookmarksItemModel* mModel;
};

#endif // BOOKMARKSVIEW_H
